# Create type

Endpoint: POST /case-types
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Request fields (application/json):

  - `caseType` (string)
    Enum: "generic", "bankruptcy", "ceaseCommunication", "collection", "deceased", "disputeOfDebt", "federalEmergency", "identityTheft", "legalAction", "militaryDuty", "debtValidation", "oFACSanctionedIndividual", "disputeOfPurchase", "creditBureauDispute"

  - `copyOf` (integer)
    The ID of case type to copy and advance the version number

## Response 200 fields (application/json):

  - `message` (string)
    Description of the server action or error.

  - `status` (integer)
    HTTP status code.

  - `data` (object)

  - `data.associations` (array)
    Associated objects to the case.

  - `data.associations.objectId` (integer)
    Peach unique identifier for the associated object.

  - `data.associations.objectType` (string)
    Types of objects that can be associated with the case.
    Enum: "doNotInteractType", "notificationType", "loanType"

  - `data.customFieldSchemas` (array)
    Array of custom fields definitions.

  - `data.customFieldSchemas.dataType` (string, required)
    The field type of data. Used for properly parsing the field value.
    Enum: "integer", "real", "string", "boolean", "dateTime"

  - `data.customFieldSchemas.default` (any)
    The default value of the field.

  - `data.customFieldSchemas.description` (string)
    A helpful description of what the field is and does. Displayed in UI.

  - `data.customFieldSchemas.displayOrder` (integer)
    Desired order of the field appearance in UI. Use whole numbers. For example, `3` will be placed after `1`.

  - `data.customFieldSchemas.displayPostfix` (string)
    A postfix to display after the field value. For example, a field `amount` can have a postfix `USD` to display `100 USD`.

  - `data.customFieldSchemas.displayPrefix` (string)
    A prefix to display before the field value. For example, a field `amount` can have a prefix `$` to display `$100`.

  - `data.customFieldSchemas.fieldName` (string, required)
    Name of the field as known in the API (e.g. `typeId` not `type_id`).

  - `data.customFieldSchemas.name` (string, required)
    Field name as displayed in UI.

  - `data.customFieldSchemas.required` (boolean)
    Indicates whether this field is required on a new case creation.

  - `data.customFieldSchemas.validation` (object)
    Validation rules

  - `data.customFieldSchemas.validation.enum` (array)
    The list of valid values. Applicable to `dataType=string`, `integer` and `real`.
    Example: [1,10,100]

  - `data.customFieldSchemas.validation.length` (integer)
    The length of the field if applicable. For example, `string` can be limited to 50 characters.

  - `data.customFieldSchemas.validation.maxValue` (number)
    The maximum value. Applicable to `dataType=integer` and `real`.
    Example: 100

  - `data.customFieldSchemas.validation.minValue` (number)
    The minimum value. Applicable to `dataType=integer` and `real`.
    Example: 0

  - `data.loanTypeId` (string)
    The optional identifier of a loan type. This is useful when a
lender has two or more financial products and need different case types per product.

  - `data.object` (string)
    Enum: "caseType"

  - `data.smartReviews` (object)

  - `data.smartReviews.config` (object)
    Configuration fields for when to create reminder
tasks. Varies per case-type. See Smart Reviews for more
in-depth documentation.

  - `data.smartReviews.enable` (boolean)
    Enable or disable using these settings to create reminder tasks.

  - `data.workflowTypeId` (string)
    The optional identifier of a workflow type. Instances of the workflow
type are created for processing cases of this type.

